Package org.eclipse.emf.cdo.common.revision.delta

## Interface CDOListFeatureDelta

- All Superinterfaces:
    `CDOFeatureDelta`, `CDOOriginSizeProvider`

      public interface CDOListFeatureDelta
      extends CDOFeatureDelta, CDOOriginSizeProvider

  A `feature delta` that represents any modification of the list of a many-valued `feature`. The detailed changes to this list are returned by the `getListChanges()` method.
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<CDOFeatureDelta>` | `getListChanges()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOOriginSizeProvider

      `getOriginSize`

- - ### Method Detail

    - #### getListChanges

          java.util.List<CDOFeatureDelta> getListChanges()